Erweitern Sie von Kling generierte Videos über POST /kling/v1/videos/video-extend mit task_id und video_id; wird als Unteraufgabe im Konto der übergeordneten Aufgabe ausgeführt.
curl --request POST \
--url https://api.cometapi.com/kling/v1/videos/video-extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_id": "example"
}
'{
"code": 123,
"message": "<string>",
"request_id": "<string>",
"data": {
"task_id": "<string>",
"task_status": "<string>",
"task_status_msg": "<string>",
"task_info": {
"parent_video": {
"id": "<string>",
"url": "<string>",
"duration": "<string>"
}
},
"task_result": {
"videos": [
{
"id": "<string>",
"url": "<string>",
"duration": "<string>"
}
]
},
"created_at": 123,
"updated_at": 123
}
}video_id aus dem Ergebnis der übergeordneten AufgabeÜbergeordnete Videoaufgabe abschließen
Erweiterungsanfrage senden
video_id und einen optionalen Prompt und speichern Sie dann die zurückgegebene task id.Erweiterungsaufgabe abfragen
Bearer token authentication. Use your CometAPI key.
Successful Response
curl --request POST \
--url https://api.cometapi.com/kling/v1/videos/video-extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_id": "example"
}
'{
"code": 123,
"message": "<string>",
"request_id": "<string>",
"data": {
"task_id": "<string>",
"task_status": "<string>",
"task_status_msg": "<string>",
"task_info": {
"parent_video": {
"id": "<string>",
"url": "<string>",
"duration": "<string>"
}
},
"task_result": {
"videos": [
{
"id": "<string>",
"url": "<string>",
"duration": "<string>"
}
]
},
"created_at": 123,
"updated_at": 123
}
}